> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getwith.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Consultation Plan



## OpenAPI

````yaml post /api/plan/create
openapi: 3.0.0
info:
  title: WithAI API
  version: 0.0.1
servers:
  - url: https://www.getwith.ai
security: []
paths:
  /api/plan/create:
    post:
      summary: Create Consultation Plan
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConsultationPlanInput'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConsultationPlan'
components:
  schemas:
    ConsultationPlanInput:
      type: object
      properties:
        name:
          type: string
        description:
          type: string
        requestedInfo:
          oneOf:
            - type: string
            - type: array
              items:
                $ref: '#/components/schemas/InfoItem'
        expertAdvice:
          oneOf:
            - type: string
            - type: array
              items:
                $ref: '#/components/schemas/AdviceItem'
      required:
        - name
        - description
        - requestedInfo
        - expertAdvice
    ConsultationPlan:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
        expertID:
          type: string
        requestedInfo:
          type: array
          items:
            $ref: '#/components/schemas/InfoItem'
        expertAdvice:
          type: array
          items:
            $ref: '#/components/schemas/AdviceItem'
      required:
        - id
        - name
        - description
        - expertID
        - requestedInfo
        - expertAdvice
    InfoItem:
      type: object
      properties:
        description:
          type: string
      required:
        - description
    AdviceItem:
      type: object
      properties:
        description:
          type: string
      required:
        - description

````